Module java.base
Package java.security

# Class KeyStore.SecretKeyEntry

java.lang.Object
java.security.KeyStore.SecretKeyEntry

All Implemented Interfaces:
  `KeyStore.Entry`

Enclosing class:
  KeyStore

public static final class KeyStore.SecretKeyEntry extends Object implements KeyStore.Entry
A `KeyStore` entry that holds a `SecretKey`.

Since:
  1.5

## Nested Class Summary

## Nested classes/interfaces declared in interface java.security.KeyStore.Entry

`KeyStore.Entry.Attribute`

## Constructor Summary

Constructors
Constructor
Description
`SecretKeyEntry(SecretKey secretKey)`
Constructs a `SecretKeyEntry` with a `SecretKey`.
`SecretKeyEntry(SecretKey secretKey, Set<KeyStore.Entry.Attribute> attributes)`
Constructs a `SecretKeyEntry` with a `SecretKey` and associated entry attributes.

## Method Summary

Modifier and Type
Method
Description
`Set<KeyStore.Entry.Attribute>`
`getAttributes()`
Retrieves the attributes associated with an entry.
`SecretKey`
`getSecretKey()`
Gets the `SecretKey` from this entry.
`String`
`toString()`
Returns a string representation of this SecretKeyEntry.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecretKeyEntry

public SecretKeyEntry(SecretKey secretKey)
Constructs a `SecretKeyEntry` with a `SecretKey`.

Parameters:
  `secretKey` - the `SecretKey`
Throws:
  `NullPointerException` - if `secretKey` is `null`

### SecretKeyEntry

public SecretKeyEntry(SecretKey secretKey, Set<KeyStore.Entry.Attribute> attributes)
Constructs a `SecretKeyEntry` with a `SecretKey` and associated entry attributes.

The specified `attributes` is cloned before it is stored in the new `SecretKeyEntry` object.

Parameters:
  `secretKey` - the `SecretKey`
  `attributes` - the attributes
Throws:
  `NullPointerException` - if `secretKey` or `attributes` is `null`
Since:
  1.8

## Method Details

### getSecretKey

public SecretKey getSecretKey()
Gets the `SecretKey` from this entry.

Returns:
  the `SecretKey` from this entry

### getAttributes

public Set<KeyStore.Entry.Attribute> getAttributes()
Retrieves the attributes associated with an entry.

Specified by:
  `getAttributes` in interface `KeyStore.Entry`
Returns:
  an unmodifiable `Set` of attributes, possibly empty
Since:
  1.8

### toString

public String toString()
Returns a string representation of this SecretKeyEntry.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this SecretKeyEntry.